body {
    max-width: 1100px;
    margin-left: auto;
    margin-right: auto;
}
@font-face {
    font-family: Roboto;
    src: url("/fonts/Roboto-Regular.ttf");
}
@font-face {
    font-family: RobotoBlack;
    src: url("/fonts/Roboto-Black.ttf");
}

a, a:hover, a:focus, a:active {
    text-decoration: none;
    color: black;
}

.modal-open {
    padding: 0 !important;
}

.container {
    width: auto;
}

.language-switcher {
    font-family: RobotoCondensed;
    font-size: 16px;
    padding-right: 3rem;
}

.modal-backdrop.in {
    opacity: 0.8;
}

.step-three-download-header-wrapper {
    margin-bottom: 90px;
}

.fixed-container {
    position: fixed;
    right: 30px;
    top: 100px;
    z-index: 5;
}
.buy-book {
    background: url("/images/kup_ksiazke_kolko_fiol.svg") no-repeat center;
}
.text {
    color: white;
    margin-top: 10px;
    display: inline-block;
    margin-right: 15px;
    font-size: 20px;
    text-transform: none;
}
.small .text {
    font-size: 16px;
    margin-top: 5px;
}
.buy-book:hover {
    background: url("/images/kup_ksiazke_kolko_hover.svg") no-repeat center;
}
.big.buy-book {
    width: 240px;
    height: 240px;
    padding-top: 30px;
    margin-right: 10px;
}
.big.buy-book .book {
    background: url("/images/ksiazka.png") no-repeat center;
    background-size: contain;
    width: 90px;
    height: 120px;
    margin-left: 65px;
}
.small.buy-book {
    width: 100px;
    height: 100px;
    margin-left: auto;
    padding: 20px 20px 20px 23px;
    display: none;
}

.book-page-link {
    text-align: center;
    padding: 20px;
    font-size: 16px;
    font-family: RobotoCondensed;
    text-transform: uppercase;
    position: relative;
    top: 50px;
    left: 25px;
}

.hide-see-book {
    display: none;
}

.book-page-link:hover {
    color: #00adee;
}

.row {
    margin-right: 0;
    margin-left: 0;
    margin-bottom: 60px;
}

.logo-container a img {
    width: 110px;
    height: 110px;
    margin-top: 18px;
}
.main-text-section {
    background: #ece810;
    padding: 75px;
}
.home-panel {
    padding: 20px;
}
.home-header {
    font-family: RobotoBlack;
    color: #00adee;
    font-size: 80px;
    font-weight: bold;
    text-align: center;
    text-transform: uppercase;
}
.home-subheader {
    font-family: RobotoCondensed;
    color: #000;
    font-size: 30px;
    font-weight: bold;
    text-align: right;
    padding-bottom: 50px;
}
.home-paragraph {
    font-family: RobotoCondensed;
    color: #000;
    font-size: 18px;
    columns: 2;
    text-align: justify;
    column-gap: 60px;
    padding-bottom: 50px;
}

.pad-paragraph {
    columns: 1;
    padding-bottom: 1rem;
}

.pad-paragraph-container {
    columns: 2;
    column-gap: 4rem;
}

.btnWindows, .btnMac, .btnLinux {
    cursor: pointer;
}

.btnWindows.active, .btnMac.active, .btnLinux.active {
    border: #29adee solid 5px;
}

.btnWindows:hover, .btnMac:hover, .btnLinux:hover {
    background: #ece810;
}

.movie {
    width: 100%;
    padding-bottom: 60px;
}
.step-two-movie {
    padding-top: 60px;
}
.home-panel video {
    border-radius: 2%;
}

video {
    width: inherit;
}
.python-logo-container {
    display: flex;
    justify-content: center;
    padding-bottom: 60px;
}
.logo-containers {
    padding-left: 5rem;
    padding-right: 5rem;
    vertical-align: middle;
    text-align: center;
}
.logo-containers img {
    width: 60%;
}
.logo-containers .mu-editor-logo,
.logo-containers .pygame-logo,
.logo-containers .python-logo {
    width: 90px;
    height: 90px;
    background-position: center;
    background-repeat: no-repeat;
}
.logo-containers .mu-editor-logo {
    background-image: url("/images/logo_MU_Editor.svg");
}
.logo-containers .pygame-logo {
    background-image: url("/images/logo_PyGame.svg");
    width: 202px;
}
.logo-containers .python-logo {
    background-image: url("/images/logo_Python.svg");
}
.logo-containers span {
    display: block;
    font-size: 14px;
    text-align: center;
    width: max-content;
    margin-left: auto;
    margin-right: auto;
    padding-top: 1em;
    color: #000;
    cursor: pointer;
    line-height: normal;
    font-family: RobotoCondensed;
}

.step-container {
    padding: 60px;
}

.step-header {
    font-family: RobotoBlack;
    font-size: 60px;
    font-weight: bold;
    color: #00ADEE;
    text-align: left;
    text-transform: uppercase;
    padding-bottom: 60px;
    margin-bottom: 0;
}

.step-one-first-paragraph {
    font-family: RobotoCondensed;
    font-size: 18px;
    text-align: justify;
}
.step-one-btn-next {
    width: 600px;
    position: relative;
    display: inline-block;
}
.step-one-btn-next img {
    width: 100%;
}
.step-one-btn-next .show-step-one-btn-next-hover {
    display: none;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 2;
    width: 100%;
}
.step-one-btn-next:hover .show-step-one-btn-next-hover {
    display: inline;
}
.step-one-container .home-subheader {
    padding-bottom: 0;
}

.step-kwp .connecting-line, .step-kwp .round-tab {
    background: #00bce1;
}
.step-kwp .round-tab .tab-img {
    background: url("/images/home/pad.png");
    width: 85px;
    height: 60px;
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    margin-left: auto;
    margin-right: auto;
}

.step-kwp .round-tab .tab-img-book {
    background-image: url("/images/home/book.png");
    height: 70px;
}

.step-kwp span.round-tab {
    display: flex;
    justify-content: center;
    flex-direction: column;
}

.system-container {
    font-family: Roboto;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    margin-top: 40px;
    margin-bottom: 40px;
}

.system-container div {
    text-align: center;
    padding-bottom: 60px;
    padding-top: 60px;
}

.system-container div h3 {
    font-size: 30px;
}
.system-container div button {
    margin-top: 10px;
}
.system-container div img {
    width: 30%;
}
.win-inst, .mac-inst, .lin-inst {
    padding: 0 75px 20px 75px;
    text-align: center;
}
.install-win-step-1, .install-mac-step-1, .install-lin-step-1 {
    font-size: 25px;
    font-family: RobotoCondensed;
    text-align: left;
}
.install-win-step-1-desc, .install-mac-step-1-desc, .install-lin-step-1-desc {
    font-family: RobotoCondensed;
    text-align: left;
    font-size: 18px;
    padding-top: 20px;
    padding-bottom: 30px;
}
.win-inst-sys img {
    width: 70%;
}
.lin-inst-1, .lin-inst-2 {
    width: 100%;
    padding-top: 20px;
}
.lin-inst-3 {
    padding-bottom: 30px;
}
.install-instruction-container {
    padding: 75px;
    background: #ece810;
}
.install-instruction-container img {
    width: 100%;
    max-width: 650px;
}
.install-instruction-container .lin-inst-3 {
    width: auto;
}
.install-subheader {
    font-family: RobotoBlack;
    font-weight: bold;
    font-size: 30px;
    text-align: left;
    margin-top: 0;
    margin-bottom: 0;
}
.install-win-step-1 {
    padding-top: 20px;
}
.settings-container {
    padding: 60px 60px 0 60px;
}
.settings-container div {
    padding-top: 30px;
    text-align: center;
}

.step-header-first {
    padding-bottom: 0;
}

.step-header-second {
    margin-top: 0;
}

.step-two-paragraph {
    font-family: RobotoCondensed;
    font-size: 18px;
    text-align: justify;
    display: inline;
}
.step-two-list {
    font-family: RobotoCondensed;
    font-size: 18px;
}
.step-two-link {
    color: #00ADEE;
}
.step-two-subheader {
    font-family: RobotoCondensed;
    color: #000;
    font-size: 30px;
    font-weight: bold;
    text-align: right;
}
.step-three-subheader {
    font-family: RobotoCondensed;
    color: #000;
    font-size: 30px;
    font-weight: bold;
    text-align: center;
}
.file-container {
    text-align: center;
    padding-bottom: 60px;
}
.file-container-pad {
    padding-top: 60px;
}
.file-container .folder-image {
    width: 200px;
    height: 180px;
    margin-left: auto;
    margin-right: auto;
    background: url("/images/folder.svg") no-repeat center;
    position: relative;
    cursor: pointer;
}

.file-container .folder-image span {
    position: absolute;
    width: 150px;
    left: 15%;
    top: 54%;
    color: #ece810;
    font-family: RobotoCondensed;
    font-size: 24px;
    line-height: 26px;
    text-transform: uppercase;
}
.file-container .folder-image.download span {
    top: 60%;
}

.file-container .folder-image:hover {
    background: url("/images/folder_hover.svg") no-repeat center;
}

.step-two-second-container {
    background: #ece810;
}

.step-three-paragraph {
    font-family: RobotoCondensed;
    font-size: 18px;
    text-align: justify;
}
.copy-container {
    padding: 30px 75px 75px 75px;
    font-family: RobotoCondensed;
    display: flex;
    flex-direction: column;
}
.copy-second-container {
    display: flex;
    flex-direction: column;
}
.chapter-container > div {
    height: 40px;
    line-height: 18px;
}
.chapter-container {
    font-size: 18px;
    padding-top: 10px;
    padding-bottom: 10px;
}
.chapter-container div:first-of-type {
    font-family: RobotoBlack;
    font-weight: bold;
    font-size: 25px;
}
.chapter-container div:last-of-type {
    text-align: right;
    line-height: 29px;
}
.step-three-second-container {
    background: #ece810;
    font-family: RobotoCondensed;
}
.step-three-second-subheader {
    font-family: RobotoCondensed;
    font-weight: bold;
    font-size: 30px;
    padding-bottom: 23px;
}


.stairs {
    background-image: url("/images/background_stairs.svg");
    background-size: contain;
    background-repeat: no-repeat;
    width: 100vw;
    height: 255px;
    z-index: -1;
    position: fixed;
    left: 0;
}
.stairs-one {
    background-position: 2%;
    top: 3vh;
}
.stairs-two {
    background-position: 98%;
    top: 45vh;
}
.stairs-three {
    background-position: 2%;
    bottom: 3vh;
}

.link-buy {
    background: url("/images/menu_buy.svg") no-repeat;
    cursor: pointer;
}
.link-buy:hover {
    background: url("/images/menu_buy_hover.svg") no-repeat;
}
.link-fb {
    background: url("/images/menu_facebook.svg") no-repeat;
}
.link-fb:hover {
    background: url("/images/menu_facebook_hover.svg") no-repeat;
}
.link-yt {
    background: url("/images/menu_youtube.svg") no-repeat;
}
.link-yt:hover {
    background: url("/images/menu_youtube_hover.svg") no-repeat;
}
.link-buy, .link-fb, .link-yt {
    width: 100px;
    height: 100px;
}
.buy-book {
    font-family: RobotoCondensed;
    font-size: 13px;
    text-decoration: none;
    position: relative;
    top: 60px;
    text-align: center;
    text-transform: uppercase;
    color: #000;
    line-height: normal;
    width: max-content;
}

.footer {
    margin-top: 210px;
    margin-bottom: 0;
}

.footer-icon-container a, .icon-container a {
    text-decoration: none;
}
.address-container {
    font-family: RobotoCondensed;
    font-size: 16px;
    color: #00ADEE;
    padding: 0 20px;
}
.footer-icon-container {
    display: flex;
    justify-content: flex-end;
}
.footer-icon-container a {
    display: contents;
}
.footer-icon-container a img {
    width: 22%;
    padding-left: 15px;
}
.footer-grant, .footer-edusense {
    font-family: RobotoCondensed;
    font-size: 12px;
    color: #00ADEE;
    text-align: center;
    margin-left: auto;
    margin-right: auto;
    padding-bottom: 10px;
}

.footer-row {
    display: flex;
    justify-content: space-between;
    padding-top: 60px;
    padding-bottom: 60px;
}
.contact-button-container {
    cursor: pointer;
    max-width: 350px;
    height: 100px;
}
.contact-button-container span {
    display: flex;
    font-size: 22px;
    color: #fff;
    font-family: RobotoCondensed;
    justify-content: center;
    align-items: center;
    margin-left: auto;
    margin-right: auto;
}

.btn-contact {
    position: relative;
    display: inline-block;
}
.btn-contact a {
    text-decoration: none;
    color: white;
}
.btn-contact-bg {
    padding: 18px 21px 0 2px;
    background: url("/images/button_kontakt_01_hover.svg") no-repeat center;
    background-size: contain;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
}
.btn-contact-bg:hover {
    background-image: url("/images/button_kontakt_01.svg");
}
.btn-contact-bg > div {
    width: 100%;
    height: 100%;
    display: flex;
}

@media screen and (max-width: 1300px) {
    .stairs {
        display: none;
    }
}
.copy-btn {
    width: 75%;
}
@media screen and (max-width: 1200px) {
    .copy-container {
        padding: 30px 75px 75px 60px;
    }
    .copy-btn {
        font-size: 15px;
    }
}

.icon-mobile {
    display: none !important;
}

.fb-icon {
    display: block !important;
}

@media screen and (max-width: 991.98px) {
    .chapter-container div:last-of-type {
        text-align: left;
    }

    .icon-mobile {
        display: flex !important;
    }

    .icon-container {
        flex-direction: column;
        align-items: center;
        margin-top: 50px !important;
    }

    .icon-container-left {
        padding-left: 20vw;
    }

    .icon-container-right {
        padding-right: 20vw;
    }

    .link-fb, .big.buy-book {
        width: 30vw;
        max-width: 200px;
        height: 30vw;
        max-height: 200px;
        padding: 0;
    }

    .fixed-container {
        display: none;
    }

    .buy-book {
        position: unset;
    }

    .book-page-link {
        padding: 0;
    }
    
    .big .buy-book{
        padding: 0 !important;
    }
    
    .big.buy-book .book {
        margin-left: 50px !important;
        margin-top: 3vw;
        width: 12vw;
        height: 15vw;
        max-width: 80px;
        max-height: 100px; 
    }

    .text {
        margin-top: 0.5vw !important;
        margin-right: 2vw !important;
        font-size: 2vw;
    }

    .language-switcher {
        padding: 20px 0 0 0;
        font-size: 14px;
    }

    .footer {
        margin-top: 0;
    }

    .home-header {
        font-size: 65px;
    }
    .logo-containers img {
        width: 70%;
    }
    .logo-container a img {
        width: 100%;
    }

    .step-header {
        font-size: 54px;
    }

    .win-inst, .mac-inst, .lin-inst {
        padding: 0;
        text-align: center;
    }

    .settings-container div img {
        width: 100%;
        max-width: 650px;
    }

    .contact-button-container {
        text-align: center;
        margin-left: auto;
        margin-right: auto;
    }

    .footer-row {
        display: flex;
        flex-wrap: wrap-reverse;
        text-align: center;
        padding: 30px 0;
    }

    .footer-icon-container {
        display: flex;
        justify-content: center !important;
        padding-bottom: 1rem;
        padding-bottom: 90px !important;
    }

    .address-container {
        padding-top: 30px;
    }

    .main-text-section {
        padding: 75px 30px;
    }
    .install-instruction-container {
        padding: 75px 30px;
    }
    .copy-container {
        padding: 30px;
    }
    .step-three-second-subheader {
        padding-left: 30px;
    }
}

@media screen and (max-width: 767.98px) {
    .home-header,
    .step-header {
        font-size: 50px;
    }

    .home-subheader,
    .btn-step-2-container,
    .step-two-subheader {
        padding-left: 20px;
        padding-right: 20px;
    }

    .main-text-section {
        padding: 50px 30px 75px 30px;
    }

    .container,
    .wizard-inner {
        padding: 0;
    }
    
    .big .buy-book{
        padding: 0 !important;
    }

    .big.buy-book .book {
        margin-left: 7vw !important;
        margin-top: 4vw;
        width: 12vw;
        height: 15vw;
        max-width: 80px;
        max-height: 100px; 
    }

    .text {
        margin-top: 0.5vw !important;
        margin-right: 2vw !important;
        font-size: 3vw;
    }

    .python-logo-container {
        justify-content: space-evenly;
    }

    .logo-containers {
        padding-left: 0;
        padding-right: 0;
    }

    .home-paragraph {
        columns: 1;
    }
}

@media (max-width: 575.98px) { 
    .icon-container-left {
        padding-left: 40px;
    }

    .icon-container-right {
        padding-right: 40px;
    }
    
    .language-switcher {
        font-size: 12px;
    }

    .row {
        margin-bottom: 30px
    }
    
    .python-logo-container {
        padding-right: 15px;
        padding-left: 15px;
    }

    .logo-containers .mu-editor-logo,
    .logo-containers .python-logo {
        width: 45px;
        height: 45px;
    }

    .logo-containers .pygame-logo {
        width: 101;
        height: 45px;
        margin-right: -20px;
        margin-left: -20px;
    }

    .logo-containers span {
        font-size: 12px;
    }

    .movie {
        padding-left: 10px;
        padding-right: 10px;
    }

    .home-panel {
        padding: 0;
    }

    .home-header,
    .step-header {
        font-size: 40px;
    }

    .step-container,
    .settings-container {
        padding: 40px 20px;
    }

    .home-paragraph {
        font-size: 16px;
    }

    .main-text-section {
        padding: 40px 20px;
    }

    .home-subheader {
        font-size: 20px;
        padding-bottom: 20px;
    }

    .footer-row { 
        padding-top: 30px !important;
    }
    
    .footer-icon-container {
        padding-bottom: 60px !important;
    }

    .system-container {
        padding: 0 20px;
    }

    .install-instruction-container {
        padding: 40px 20px;
    }

    .step-two-subheader,
    .home-subheader-step,
    .step-three-subheader {
        padding: 0 20px;
        font-size: 19px;
    }

    .copy-container {
        padding: 0;
    }

    .chapter-container {
        padding: 10px 5px;
    }

    .step-three-second-subheader {
        padding: 0 20px;
    }

    .step-three-second-container {
        padding: 20px 0;
    }

    .step-kwp .round-tab .tab-img {
        width: 50px;
    }
}

.preload-wrapper {
    width: 0;
    height: 0;
}

.nowrap {
    white-space: nowrap;
}

@media (max-width: 350px) {
    .step-header {
        font-size: 36px;
    }

    .language-switcher {
        font-size: 10px;
    }
}